Subject: Re: question: connecting to multiple remote svn projects

From: Dave Rodgman <[email-masked]>
Date: Mon, 9 Nov 2009 10:59:25 +0000 (UTC)

>> Given a layout in a single subversion repository like this:
>>
>> module1/branches/1.0/work
>> module2/branches/1.0/work
>>
>> I would like achieve the following layout locally, in git:
>>
>> module1/work
>> module2/work
>>
>> Obviously I can create multiple git repositories in separate
>> directories, but I would like them to be in a single repository. I can
>> also get the same layout as subversion, but this breaks various bits of
>> build infrastructure.
> 
> Can you just create the file structure you want using symlinks?  That
> would be the easiest way.

It would, and this is what I do on Linux. On Windows, obviously, this 
doesn't work.

>> I don't care about tracking the subversion branches in git, or being
>> able to switch between subversion branches.
> 
> Don't care about tracking *any* subversion history, or just the history
> of branches other than the 1.0 branch you've listed above?  I assume the
> latter, because otherwise the problem is easy (just copy the latest
> revision of the files into a git repo and commit).

Indeed. I want history, but only for a given branch. 

> Other options that might work for you: create a "superproject" branch
> and import the two modules using git-submodule, or else import them
> using git-subtree (http://github.com/apenwarr/git-subtree).  Or import
> the svn history and then use git-filter-branch to move stuff around.

As far as I can understand, git-submodule pulls in a specific commit,
as does git subtree? I've experimented a little but with not much success.

I want "git svn rebase" (or some equivalent command, or series of 
commands) to update the contents of module1/work to the latest commit 
into this branch, and similarly "git svn dcommit" should also commit into 
module1, module2, etc. Basically, I want my working copy to have the same 
functionality as if moduleX/work was the actual layout in subversion. I'm
using git as a client for a svn repository, rather than doing a one-time
import. Is this possible?

thanks for your help

Dave